iRipDB 0.1.3
== Changes
Now uses the taglib library from Scott Wheeler.
http://developer.kde.org/~wheeler/taglib.html
Fixes the tag incompatibilities.

iRipDB 0.1.1

== Summary:

iRipDB allows generating the DB files necessary for the iRiver iHP-1xx series
of MP3/Ogg HD Player on Linux and Windows. That will allow you to navigate your
files through the artist/album/genre menus.

It supports adding MP3 and Ogg files at this point. It's released under the
GNU's General Public License.

On the /doc directory is some documentation about the database format.

More info at http://www.marevalo.net/iRipDB

== Problems:

- There isn't much error detecting code.

== Prerequisites:

You will need libid3 (tested with 3.8.3) and libogg/vorbis development packages.

== Installation instructions:

On Linux:

untar -xvzf iRipDB-X.X.tar.gz
cd iRipDB
gcc -c -o main.o main.c
gcc -c -o vcedit.o vcedit.c
gcc -o iripdb main.o vcedit.o /usr/lib/libid3.so -lz /usr/lib/libvorbis.so -lm -L/usr/lib /usr/lib/libogg.so

Depending on how is your id3lib compiled you may need to add std++ as library.
There is also a convinient compile.sh.

On Windows:

A Microsoft Visual C++ 6.0 workspace/project is provided which will build an
iRipDB executable statically linked against libid3 and libogg/vorbis. You'll
need to add the include and libfile paths for libid3 and libogg/vorbis in
Tools > Options > Directories before building.
                                                                                                                         
It should also be possible to build iRipDB with any other compiler that
supports the Win32 API.
                                                                                                                         
A pre-built Win32 executable is available from the website for those who
don't want to, or can't, build it themselves. It should be compatible with
Windows 95 and upwards, though has only been tested on Windows XP Professional.
                                                                                                                         

== Usage:

iripdb [-vhe] path
 
        -v      verbose operation
        -h      print this help information
        -e      add also files not tagged (with generic tags)
        path    path to the iHP's mount point

== Todo:

- Guessing code for tag-less files.
- Backup option for old DB.
- Incrementally add files.
- Recheck the code for LSO architectures.
